Class | YARD::Handlers::Ruby::Legacy::Base
In: | lib/yard/handlers/ruby/legacy/base.rb
Parent: | Handlers::Base

This is the base handler for the legacy parser. To implement a legacy handler, subclass this class.

@abstract (see Ruby::Base)

### Methods

call_params caller_method handles? parse_block

### Included Modules

YARD::Parser::Ruby::Legacy::RubyToken

### Public Class methods

handles?(stmt)

@return [Boolean] whether or not a {Parser::Ruby::Legacy::Statement} object should be handled

      by this handler.

### Protected Instance methods

call_params()
caller_method()
parse_block(opts = {})

Parses a statement‘s block with a set of state values. If the statement has no block, nothing happens. A description of state values can be found at {Handlers::Base#push_state}

@param [Hash] opts State options @option opts (see Handlers::Base#push_state) @see Handlers::Base#push_state push_state

[Validate]